org.tmatesoft.svn.core.wc2

## Class SvnMergeResult

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnMergeResult

-     public class SvnMergeResult
      extends java.lang.Object

  Represents a result of a text or properties merge operation. This class combines the following information about a merge result: a status type indicating how merge finished; base and actual (working) properties.
  Version:
    1.7
  Author:
    TMate Software Ltd.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnMergeResult(SVNStatusType mergeOutcome)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SvnMergeResult` | `create(SVNStatusType mergeOutcome)` Creates merge result object and initializes it with merge outcome (status).
    `SVNProperties` | `getActualProperties()` Returns all merge actual (working) properties.
    `SVNProperties` | `getBaseProperties()` Returns all base (pristine) properties.
    `org.tmatesoft.svn.core.internal.util.SVNSkel` | `getConflictSkel()` Gets conflict.
    `SVNStatusType` | `getMergeOutcome()` Returns merge outcome (status).
    `void` | `setActualProperties(SVNProperties actualProperties)` Sets all merge actual (working) properties.
    `void` | `setBaseProperties(SVNProperties baseProperties)` Sets all base (pristine) properties.
    `void` | `setConflictSkel(org.tmatesoft.svn.core.internal.util.SVNSkel conflictSkel)` Sets conflict.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnMergeResult

          public SvnMergeResult(SVNStatusType mergeOutcome)

  - ### Method Detail

    - #### create

          public static SvnMergeResult create(SVNStatusType mergeOutcome)

      Creates merge result object and initializes it with merge outcome (status).
      Parameters:
        `mergeOutcome` - status of merge
      Returns:
        newly created merge result object

    - #### getMergeOutcome

          public SVNStatusType getMergeOutcome()

      Returns merge outcome (status).
      Returns:
        merge outcome (status)

    - #### getActualProperties

          public SVNProperties getActualProperties()

      Returns all merge actual (working) properties.
      Returns:
        actual properties

    - #### setActualProperties

          public void setActualProperties(SVNProperties actualProperties)

      Sets all merge actual (working) properties.
      Parameters:
        `actualProperties` - actual properties

    - #### getBaseProperties

          public SVNProperties getBaseProperties()

      Returns all base (pristine) properties.
      Returns:
        base properties

    - #### setBaseProperties

          public void setBaseProperties(SVNProperties baseProperties)

      Sets all base (pristine) properties.
      Parameters:
        `baseProperties` - base properties

    - #### getConflictSkel

          public org.tmatesoft.svn.core.internal.util.SVNSkel getConflictSkel()

      Gets conflict.
      Returns:
        conflict

    - #### setConflictSkel

          public void setConflictSkel(org.tmatesoft.svn.core.internal.util.SVNSkel conflictSkel)

      Sets conflict.
      Parameters:
        `conflictSkel` - conflict